Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033886
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2016-09-02 12:032016-09-09 08:15
ReporterinigosanchezView Statuspublic 
Assigned Toinigosanchez 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision28ffc080263f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033886: API change related with callouts refactor.

DescriptionAPI change related with callouts refactor is required because now SimpleCallout class extends from DelegateConnectionProvider instead of HttpSecureAppServlet.

For this reason, lots of legazy attributes and legazy methods [See attached file] have disappeared. It has implemented its own ConnectionProvider in DelegateConnectionProvider.

All modules have been analyzed to avoid problems related to this API change. Some actions have been done in order to maintain backwards compatibility:
- Now DelegateConnectionProvider class implements "myPool" as a protected attribute of ConnectionProvider.
- DelegateConnectionProvider class implements log4j.
Steps To Reproduce-
TagsApproved
Attached Files file icon ApiChanges [^] (16,946 bytes) 2016-09-02 12:05 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 00323663.0PR16Q4 closedinigosanchez callout invocation ineficiencies 

-  Notes
(0089839)
hgbot (developer)
2016-09-08 13:22

Repository: erp/devel/api-checks
Changeset: 28ffc080263f4df5a4b61030dfb949d8b930a1c7
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Thu Sep 08 12:45:31 2016 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/28ffc080263f4df5a4b61030dfb949d8b930a1c7 [^]

Fixes issue 33886: API change for issue 32366

---
M java/reference/java.japi.gz
---

- Issue History
Date Modified Username Field Change
2016-09-02 12:03 inigosanchez New Issue
2016-09-02 12:03 inigosanchez Assigned To => platform
2016-09-02 12:03 inigosanchez Modules => Core
2016-09-02 12:03 inigosanchez Triggers an Emergency Pack => No
2016-09-02 12:05 inigosanchez File Added: ApiChanges
2016-09-02 12:07 inigosanchez Relationship added related to 0032366
2016-09-07 10:13 inigosanchez Description Updated View Revisions
2016-09-07 10:23 inigosanchez Description Updated View Revisions
2016-09-07 10:30 alostale Assigned To platform => inigosanchez
2016-09-07 10:30 alostale Tag Attached: Approved
2016-09-08 12:44 inigosanchez Status new => scheduled
2016-09-08 13:22 hgbot Checkin
2016-09-08 13:22 hgbot Note Added: 0089839
2016-09-08 13:22 hgbot Status scheduled => resolved
2016-09-08 13:22 hgbot Resolution open => fixed
2016-09-08 13:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/28ffc080263f4df5a4b61030dfb949d8b930a1c7 [^]
2016-09-08 13:23 inigosanchez Review Assigned To => alostale
2016-09-09 08:15 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker